Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxTimersCodelet.h File Reference Header file for the IXP425 hardware timers. More... Go to the source code of this file.
## Typedefs
typedef void(* | IxTimerIsr )(void *arg)
| Timer callback prototype.
## Enumerations
enum | IxTimerId { IX_TIMER_1, IX_TIMER_2, IX_TIMER_WDOG, IX_TIMER_TS, IX_TIMER_PMU, IX_TIMER_MAX }
| Hardware timers. More...
## Functions
PUBLIC IX_STATUS | ixTimerInit (BOOL recoverFromLostStatus)
| Initialise the Timer API.
PUBLIC IX_STATUS | ixTimerBind (IxTimerId timer, IxTimerIsr isr, void *arg)
| Initialise a Timer.
PUBLIC IX_STATUS | ixTimerEnable (IxTimerId timer, UINT32 downCounter, BOOL oneShot)
| Enable a Timer.
PUBLIC IX_STATUS | ixTimerDisable (IxTimerId timer)
| Disable a Timer.
PUBLIC IX_STATUS | ixTimerDownCounterGet (IxTimerId timer, UINT32 *downCounter)
| Get the remaining time of a timer.
PUBLIC IX_STATUS | ixTimerUnbind (IxTimerId timer)
| Unregister a Timer.
PUBLIC void | ixTimerShow (void)
| Show internal counters.
## Detailed Description Header file for the IXP425 hardware timers. Date: 1-Apr-2003 Version: Revision 1.11 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxTimersCodelet.h.
Automatically generated from sources. © Intel Corp. 2003